﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.NavigationControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            DataSet ds = new DataSet();
            ds.DataSetName = "TreeDataSet";
            ds.ReadXml(HttpContext.Current.Server.MapPath("App_Data/TreeSampleData.xml"));
            this.DDWebDataTree.DataSource = ds;
            this.DDWebDataTree.DataBind();

            this.DDWebDataTree2.DataSource = ds;
            this.DDWebDataTree2.DataBind();
        }

        foreach (DataTreeNode itemDT1 in this.DDWebDataTree.AllNodes)
        {
            if (itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "Computer") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "Music") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "ACDC") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "Rock") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "MyDocuments") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "number2009") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "Pictures") ||
                itemDT1.Text == this.GetGlobalResourceObject("WebDataTree", "BirthDay2010"))
            {
                itemDT1.Expanded = true;
            }
        }


        foreach (DataTreeNode itemDT2 in this.DDWebDataTree2.AllNodes)
        {
            if (itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "Computer") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "Music") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "ACDC") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "Rock") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "MyDocuments") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "number2009") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "Pictures") ||
                itemDT2.Text == this.GetGlobalResourceObject("WebDataTree", "BirthDay2010"))
            {
                itemDT2.Expanded = true;
            }
        }
    }
}